## class: `WyPostTrashed`, `wy-post-trashed`

Trashed post placeholder shown when a post has been moved to trash.

**Used sub components:**

*   [`<wy-item>`](./ui/wy-item)
*   [`<wy-button>`](./ui/wy-button)

### Fields

| Name   | Type       | Default | Description | Inherited From |
| ------ | ---------- | ------- | ----------- | -------------- |
| `post` | `PostType` |         | Post data.  |                |

### Events

| Name      | Type                   | Description                                       | Inherited From |
| --------- | ---------------------- | ------------------------------------------------- | -------------- |
| `restore` | `PostRestoreEventType` | Emitted when the trashed post should be restored. |                |

### CSS Parts

| Name      | Description          |
| --------- | -------------------- |
| `wy-post` | Root post container. |

<details><summary>Private API</summary>

### Fields

| Name          | Privacy   | Type | Default                           | Description | Inherited From |
| ------------- | --------- | ---- | --------------------------------- | ----------- | -------------- |
| `exportParts` | protected |      | `new ShadowPartsController(this)` |             |                |

### Methods

| Name              | Privacy | Description                                                          | Parameters | Return    | Inherited From |
| ----------------- | ------- | -------------------------------------------------------------------- | ---------- | --------- | -------------- |
| `dispatchRestore` | private | Emit a \`restore\` event requesting restoration of the trashed post. |            | `boolean` |                |

</details>

<hr/>

## Exports

| Kind                        | Name              | Declaration   | Module                            | Package |
| --------------------------- | ----------------- | ------------- | --------------------------------- | ------- |
| `js`                        | `WyPostTrashed`   | WyPostTrashed | lib/components/wy-post-trashed.ts |         |
| `custom-element-definition` | `wy-post-trashed` | WyPostTrashed | lib/components/wy-post-trashed.ts |         |
